
##############################################################
# allshrc.01.sh
#

#echo allshrc.01.sh
#echo BESTSHELL=${BESTSHELL}

case `uname -s` in
    *Linux*)
    #PATH="$HOME/scripts:$HOME/bin:/bin:/usr/local/bin:/usr/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/X11/bin:/sbin:/usr/sbin:/opt/kde/bin:/opt/bin:/usr/games"

    pathmunge /usr/games
    pathmunge /opt/bin
    pathmunge /opt/kde/bin
    pathmunge /usr/sbin
    pathmunge /sbin
    pathmunge /usr/X11/bin
    pathmunge /usr/X11R6/bin
    pathmunge /usr/bin/X11
    pathmunge /usr/bin
    pathmunge /usr/local/bin
    pathmunge /bin
    pathmunge ${HOME}/bin
    pathmunge ${HOME}/scripts

    pathmunge /opt/alpine/bin after
    pathmunge /opt/jdk1.6.0_07/bin after
    pathmunge /opt/jdk1.6.0_03/bin after

    export PATH


    #stty pass8
    #stty erase '^?'

    ;;

    *SunOS*)

    #    PATH="/usr/bin:/usr/local/bin:/opt/sfw/bin:/opt/math/bin:/opt/text/bin:/opt/forte6/SUNWspro/bin:/usr/ccs/bin:/usr/dt/bin:/usr/openwin/bin:/usr/ucb:${HOME}/bin:${HOME}/scripts:/usr/xpg4/bin/:/bin:/opt/bin:/opt/text/frame3.1.x/bin:/opt/text/tetex/bin/sparc-sun-solaris2.6:/usr/openwin/demo:/usr/proc/bin:/usr/X/bin:/sbin:/usr/sbin"


    pathmunge /usr/sbin
    pathmunge /sbin
    pathmunge /usr/X/bin
    pathmunge /usr/proc/bin
    pathmunge /usr/openwin/demo
    pathmunge /opt/text/tetex/bin/sparc-sun-solaris2.6
    pathmunge /opt/text/frame3.1.x/bin
    pathmunge /opt/bin
    pathmunge /bin
    pathmunge /usr/xpg4/bin/
    pathmunge ${HOME}/scripts
    pathmunge ${HOME}/bin
    pathmunge /usr/ucb
    pathmunge /usr/openwin/bin
    pathmunge /usr/dt/bin
    pathmunge /usr/ccs/bin
    pathmunge /opt/forte6/SUNWspro/bin
    pathmunge /opt/text/bin
    pathmunge /opt/math/bin
    pathmunge /opt/sfw/bin
    pathmunge /usr/local/bin
    pathmunge /usr/bin


    ### OLD PATH
    #PATH="/usr/bin:/usr/local/bin:/opt/sfw/bin:/opt/math/bin:/opt/text/bin:/opt/forte6/SUNWspro/bin:/usr/ccs/bin:/usr/dt/bin:/usr/openwin/bin:/usr/ucb:$HOME/bin:/usr/xpg4/bin:/bin:/opt/adaptor/bin:/opt/bin:/opt/bio/bin:/opt/chem/bin:/opt/games:/opt/games:/opt/GCC281/bin:/opt/gnu/bin:/opt/graph/bin:/opt/graph/blab:/opt/graph/blab/bin:/opt/graph/pbmplus/bin:/opt/graph/xgobi/bin:/opt/ioffice/bin:/opt/nqs/usr/bin:/opt/openwin/bin:/opt/stat/bin:/opt/SUNWspro/bin:/opt/text/frame3.1.x/bin:/opt/text/tetex/bin/sparc-sun-solaris2.6:/usr/openwin/demo:/usr/proc/bin:/usr/X/bin:/sbin:/usr/sbin"
    ### Let's use something from that old path:

    pathmunge /opt/adaptor/bin after
    pathmunge /opt/bio/bin after
    pathmunge /opt/chem/bin after
    pathmunge /opt/games after
    pathmunge /opt/GCC281/bin after
    pathmunge /opt/gnu/bin after
    pathmunge /opt/graph/bin after
    pathmunge /opt/graph/blab after
    pathmunge /opt/graph/blab/bin after
    pathmunge /opt/graph/pbmplus/bin after
    pathmunge /opt/graph/xgobi/bin after
    pathmunge /opt/ioffice/bin after
    pathmunge /opt/nqs/usr/bin after
    pathmunge /opt/stat/bin after
    pathmunge /opt/SUNWspro/bin after
    pathmunge /opt/text/frame3.1.x/bin after
    pathmunge /usr/proc/bin after


    # I really don't know, if I need these:

    LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/gnu/lib:/usr/local/lib:/lib:/usr/lib:/usr/X/lib:/usr/dt/lib:/opt/SUNWmotif/lib:/usr/openwin/lib:/usr/ucblib:/opt/math/lib:/opt/openwin/lib:/usr/proc/lib:/opt/SUNWspro/lib:/usr/4lib:/usr/ccs/lib"

    LD_RUN_PATH="${LD_RUN_PATH}:/opt/gnu/lib:/lib:/usr/lib:/usr/X/lib:/usr/dt/lib:/usr/openwin/lib:/opt/openwin/lib:/usr/ucblib:/opt/math/lib:/opt/SUNWmotif/lib:/opt/SUNWspro/lib:/usr/ccs/lib:/usr/dt/lib:/usr/ccs/lib"

    export PATH
    export LD_LIBRARY_PATH
    export LD_RUNPATH

    #stty -parenb -istrip cs8
    #stty erase '^?'

    #export EXINIT="$( cat ~/.exrc | sed 's/\".*$//g;/^\ *$/d' | tr '\n' '|' )"
    #export NEXINIT="$( cat ~/.nexrc | sed 's/\".*$//g;/^\ *$/d' | tr '\n' '|' )"


esac

# Sink or swim...
alias tin='emacs -f gnus'
alias gnus='emacs -f gnus'
alias pine='mutt'
alias ftp='lftp'
alias ncftp='lftp'

#export NNTPSERVER="news.jyu.fi"

# Watch also my ~/.muttrc and ~/.procmailrc

#export MAIL=$HOME/Maildir/
#export MAILPATH=$HOME/Maildir/

#export MAIL="/var/mail/${USER}"
#export MAILPATH="/var/mail/${USER}"
#export MAILCHECK=60

unset MAIL 2> /dev/null
unset MAILPATH 2> /dev/null
unset MAILCHECK 2> /dev/null

#export PRINTER="netps"
#export LPDEST="netps"

export HOSTNAME="`/bin/hostname`"
export HISTSIZE=500
export HISTFILESIZE=500

export EDITOR="vim"
export VISUAL="vim"

export REPLYTO="juhtolv@iki.fi"
export ORGANIZATION="What?+ Me organized?+ Never!1"
export PGPPATH="$HOME/pgp.dir"

export PERL5LIB="${HOME}/perllib"

# This idea is from:
# man ash

case $- in *i*)
    # Add here all commands, that must be run under interactive shells only
    # (both login- and non-login)

    #echo "Interactive shell!"

    ### TERM
    echo  $TERM
    case "$TERM" in

        ### Argh! Sun Solaris still can not handle rxvt out of the box.
        rxvt)
        case `uname -s` in
            *SunOS*)
            TERM=xterm
            ;;
            *)
            :
        esac
        ;;

        xterm*)
        case `uname -s` in
            *SunOS*)
            TERM=xterm
            ;;
            *)
            :
        esac
    esac

    export TERM
    echo  $TERM

esac
# END OF STUFF FOR INTERACTIVE SHELLS ONLY


